CUDNN Frontend API 8.3.0

Classes | Public Member Functions | Protected Types | Protected Attributes | List of all members
cudnn_frontend::ExecutionPlanCache_v1 Class Reference

Plan Cache structure for the above table. More...

`#include <cudnn_frontend_ExecutionPlanCache.h>`

Inheritance diagram for cudnn_frontend::ExecutionPlanCache_v1:
Collaboration diagram for cudnn_frontend::ExecutionPlanCache_v1:

## Classes
struct | compare

## Public Member Functions
virtual bool | is_fastest_plan_stable (const cudnn_frontend::OperationGraph &op_graph, const std::string &tag)
void | add_plan_to_cache (const cudnn_frontend::OperationGraph &op_graph, const cudnn_frontend::ExecutionPlan &plan)
| ExecutionPlanCache_v1 (const char *name_)
const std::string & | get_name () const
bool | get_plan_from_cache (const cudnn_frontend::OperationGraph &op_graph, const cudnn_frontend::ExecutionPlan *&plan) const

## Protected Types
using | FeatureVectorToPlanMap = std::map< cudnn_frontend::feature_vector_t, cudnn_frontend::ExecutionPlan, cudnn_frontend::ExecutionPlanCache_v1::compare >

## Protected Attributes
std::string | name = "plan_cache_[unnamed]"
FeatureVectorToPlanMap | cache
std::mutex | cache_mutex

## Detailed Description

Plan Cache structure for the above table.

Definition at line 79 of file cudnn_frontend_ExecutionPlanCache.h.

## Member Typedef Documentation

## ◆ FeatureVectorToPlanMap

using cudnn_frontend::ExecutionPlanCache_v1::FeatureVectorToPlanMap = std::map<cudnn_frontend::feature_vector_t, cudnn_frontend::ExecutionPlan, cudnn_frontend::ExecutionPlanCache_v1::compare>
| protected

String to map of feature_vector to execution plan For a given FeatureVector of type T according to the Operation Graph, we get the plan.

Definition at line 96 of file cudnn_frontend_ExecutionPlanCache.h.

## Constructor & Destructor Documentation

## ◆ ExecutionPlanCache_v1()

cudnn_frontend::ExecutionPlanCache_v1::ExecutionPlanCache_v1 | ( | const char * | name_ | ) |
| inline

Definition at line 115 of file cudnn_frontend_ExecutionPlanCache.h.

## Member Function Documentation

## ◆ add_plan_to_cache()

void cudnn_frontend::ExecutionPlanCache_v1::add_plan_to_cache | ( | const cudnn_frontend::OperationGraph & | op_graph,
|  | const cudnn_frontend::ExecutionPlan & | plan
| ) |  |
| inline

Definition at line 108 of file cudnn_frontend_ExecutionPlanCache.h.

References cudnn_frontend::OperationGraph_v8::getFeatureVector(), cudnn_frontend::getLogger(), and cudnn_frontend::OperationGraph_v8::getTag().

## ◆ get_name()

const std::string& cudnn_frontend::ExecutionPlanCache_v1::get_name | ( |  | ) | const
| inline

Definition at line 119 of file cudnn_frontend_ExecutionPlanCache.h.

References name.

## ◆ get_plan_from_cache()

bool cudnn_frontend::ExecutionPlanCache_v1::get_plan_from_cache | ( | const cudnn_frontend::OperationGraph & | op_graph,
|  | const cudnn_frontend::ExecutionPlan *& | plan
| ) |  | const
| inline

Definition at line 124 of file cudnn_frontend_ExecutionPlanCache.h.

References cudnn_frontend::OperationGraph_v8::getFeatureVector(), and cudnn_frontend::getLogger().

Referenced by cudnn_frontend::ExecutionPlanCache_v2::is_fastest_plan_stable().

## ◆ is_fastest_plan_stable()

virtual bool cudnn_frontend::ExecutionPlanCache_v1::is_fastest_plan_stable | ( | const cudnn_frontend::OperationGraph & | op_graph,
|  | const std::string & | tag
| ) |  |
| inlinevirtual

Reimplemented in cudnn_frontend::ExecutionPlanCache_v2.

Definition at line 103 of file cudnn_frontend_ExecutionPlanCache.h.

## Member Data Documentation

## ◆ cache

FeatureVectorToPlanMap cudnn_frontend::ExecutionPlanCache_v1::cache
| protected

Definition at line 97 of file cudnn_frontend_ExecutionPlanCache.h.

## ◆ cache_mutex

std::mutex cudnn_frontend::ExecutionPlanCache_v1::cache_mutex
| mutableprotected

Definition at line 99 of file cudnn_frontend_ExecutionPlanCache.h.

Referenced by cudnn_frontend::ExecutionPlanCache_v2::is_fastest_plan_stable().

## ◆ name

std::string cudnn_frontend::ExecutionPlanCache_v1::name = "plan_cache_[unnamed]"
| protected

Definition at line 92 of file cudnn_frontend_ExecutionPlanCache.h.

Referenced by get_name(), and cudnn_frontend::ExecutionPlanCache_v2::is_fastest_plan_stable().

The documentation for this class was generated from the following file:

- cudnn_frontend_ExecutionPlanCache.h